uudoc(1)

NAME
uudoc - Change the group of each FILE to GROUP.

SYNOPSIS
uudoc [--help] [-c|--changes] [-f|--silent] [--quiet] [-v|--verbose] [--preserve-root] [--no-preserve-root] [--reference] [--from] [-R|--recursive] [-H ] [-L ] [-P ] [--dereference] [-h|--no-dereference] [-V|--version]

DESCRIPTION
Change the group of each FILE to GROUP.

OPTIONS

--help
    Print help information.

-c, --changes
    like verbose but report only when a change is made

-f, --silent

--quiet
    suppress most error messages

-v, --verbose
    output a diagnostic for every file processed

--preserve-root
    fail to operate recursively on '/'

--no-preserve-root
    do not treat '/' specially (the default)

--reference <RFILE>
    use RFILE's group rather than specifying GROUP values

--from <GROUP>
    change the group only if its current group matches GROUP

-R, --recursive
    operate on files and directories recursively

-H  if a command line argument is a symbolic link to a directory, traverse it

-L  traverse every symbolic link to a directory encountered

-P  do not traverse any symbolic links (default)

--dereference
    affect the referent of each symbolic link (this is the default), rather than the symbolic link itself

-h, --no-dereference
    affect symbolic links instead of any referenced file (useful only on systems that can change the ownership of a symlink)

-V, --version
    Print version

EXTRA
Examples Change the owner group of a file/directory: chgrp {{group}} {{path/to/file_or_directory}} Recursively change the owner group of a directory and its contents: chgrp {{[-R|--recursive]}} {{group}} {{path/to/directory}} Change the owner group of a symbolic link: chgrp {{[-h|--no-dereference]}} {{group}} {{path/to/symlink}} Change the owner group of a file/directory to match a reference file: chgrp --reference {{path/to/reference_file}} {{path/to/file_or_directory}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0